<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: DataPlot.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_data_plot_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">DataPlot.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_data_plot_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef DATAPLOT_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define DATAPLOT_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_send_data_8h.html">SendData.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">class </span>DataPlot_impl;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;{</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="keyword">namespace </span>core</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        <span class="keyword">class </span>IODataElement;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    }</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;}</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;{</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span>gui</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;{</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keyword">class </span>LayoutPosition;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="classframework_1_1gui_1_1_data_plot.html">   34</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1gui_1_1_data_plot.html">DataPlot</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1gui_1_1_send_data.html">SendData</a></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    {</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1c">   41</a></span>&#160;            <span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1ca0d829f4fcfb4f1bc4c40d0b627f72aa3">   42</a></span>&#160;                <a class="code" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1ca0d829f4fcfb4f1bc4c40d0b627f72aa3">Red</a>,</div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1ca8fab133d2d6300bcc7aa43519ba80d31">   43</a></span>&#160;                <a class="code" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1ca8fab133d2d6300bcc7aa43519ba80d31">Blue</a>,</div>
<div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1ca1531d101862a5ea9626c0b4d2f329d6d">   44</a></span>&#160;                <a class="code" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1ca1531d101862a5ea9626c0b4d2f329d6d">Green</a>,</div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1cad1b5c35eb68314a63fe481713e19306b">   45</a></span>&#160;                <a class="code" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1cad1b5c35eb68314a63fe481713e19306b">Yellow</a>,</div>
<div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1caa6d29b92e3e478fa0225edd23d91fcde">   46</a></span>&#160;                <a class="code" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1caa6d29b92e3e478fa0225edd23d91fcde">Black</a>,</div>
<div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1cab521d0c7c10ef458143b70cf0df83028">   47</a></span>&#160;                <a class="code" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1cab521d0c7c10ef458143b70cf0df83028">White</a>,</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;                } <a class="code" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1c">Color_t</a>;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_data_plot.html#a0293190926424ca9b2ce78bbfe5e32c5">DataPlot</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1gui_1_1_layout_position.html">LayoutPosition</a>* position,std::string name,std::string type);</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_data_plot.html#a4f66d787b74b780d1c11460f0c7a888f">~DataPlot</a>();</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="keyword">protected</span>:</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1gui_1_1_data_plot.html#a13333bf3cc8514fb1edc1991b6a8f923">AddDataToSend</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *element);</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;            <span class="keywordtype">void</span> CopyDatas(<span class="keywordtype">char</span>* buf) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;            <span class="keywordtype">void</span> ExtraXmlEvent(<span class="keywordtype">void</span>){};</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;            <span class="keyword">class </span>DataPlot_impl* pimpl_;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    };</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="namespaceframework_1_1gui.html#a147b8f2ce51871c4f769a7b3e5e2438a">RGBFromColor</a>(<a class="code" href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1c">DataPlot::Color_t</a> color,uint8_t &amp;r,uint8_t &amp;g,uint8_t &amp;b);</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;} <span class="comment">// end namespace gui</span></div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="preprocessor">#endif // DATAPLOT_H</span></div>
<div class="ttc" id="namespaceframework_1_1gui_html_a147b8f2ce51871c4f769a7b3e5e2438a"><div class="ttname"><a href="namespaceframework_1_1gui.html#a147b8f2ce51871c4f769a7b3e5e2438a">framework::gui::RGBFromColor</a></div><div class="ttdeci">void RGBFromColor(DataPlot::Color_t color, uint8_t &amp;r, uint8_t &amp;g, uint8_t &amp;b)</div><div class="ttdoc">Get RGB components from color type. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_layout_position_html"><div class="ttname"><a href="classframework_1_1gui_1_1_layout_position.html">framework::gui::LayoutPosition</a></div><div class="ttdoc">Class to define a position in a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> LayoutPosition.h:26</div></div>
<div class="ttc" id="classframework_1_1core_1_1_i_o_data_element_html"><div class="ttname"><a href="classframework_1_1core_1_1_i_o_data_element.html">framework::core::IODataElement</a></div><div class="ttdoc">Abstract class for accessing an element of an io_data. </div><div class="ttdef"><b>Definition:</b> IODataElement.h:22</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_send_data_html"><div class="ttname"><a href="classframework_1_1gui_1_1_send_data.html">framework::gui::SendData</a></div><div class="ttdoc">Abstract class for sending datas to ground station. </div><div class="ttdef"><b>Definition:</b> SendData.h:27</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_data_plot_html_a4f66d787b74b780d1c11460f0c7a888f"><div class="ttname"><a href="classframework_1_1gui_1_1_data_plot.html#a4f66d787b74b780d1c11460f0c7a888f">framework::gui::DataPlot::~DataPlot</a></div><div class="ttdeci">~DataPlot()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_data_plot_html_a0293190926424ca9b2ce78bbfe5e32c5"><div class="ttname"><a href="classframework_1_1gui_1_1_data_plot.html#a0293190926424ca9b2ce78bbfe5e32c5">framework::gui::DataPlot::DataPlot</a></div><div class="ttdeci">DataPlot(const LayoutPosition *position, std::string name, std::string type)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_data_plot_html"><div class="ttname"><a href="classframework_1_1gui_1_1_data_plot.html">framework::gui::DataPlot</a></div><div class="ttdoc">Abstract class to display plots on ground station. </div><div class="ttdef"><b>Definition:</b> DataPlot.h:34</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_data_plot_html_ab8052b914d1b7330a7f0b12a7322bc1ca1531d101862a5ea9626c0b4d2f329d6d"><div class="ttname"><a href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1ca1531d101862a5ea9626c0b4d2f329d6d">framework::gui::DataPlot::Green</a></div><div class="ttdef"><b>Definition:</b> DataPlot.h:44</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_data_plot_html_ab8052b914d1b7330a7f0b12a7322bc1cad1b5c35eb68314a63fe481713e19306b"><div class="ttname"><a href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1cad1b5c35eb68314a63fe481713e19306b">framework::gui::DataPlot::Yellow</a></div><div class="ttdef"><b>Definition:</b> DataPlot.h:45</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_data_plot_html_ab8052b914d1b7330a7f0b12a7322bc1caa6d29b92e3e478fa0225edd23d91fcde"><div class="ttname"><a href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1caa6d29b92e3e478fa0225edd23d91fcde">framework::gui::DataPlot::Black</a></div><div class="ttdef"><b>Definition:</b> DataPlot.h:46</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_data_plot_html_ab8052b914d1b7330a7f0b12a7322bc1ca0d829f4fcfb4f1bc4c40d0b627f72aa3"><div class="ttname"><a href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1ca0d829f4fcfb4f1bc4c40d0b627f72aa3">framework::gui::DataPlot::Red</a></div><div class="ttdef"><b>Definition:</b> DataPlot.h:42</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_data_plot_html_ab8052b914d1b7330a7f0b12a7322bc1cab521d0c7c10ef458143b70cf0df83028"><div class="ttname"><a href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1cab521d0c7c10ef458143b70cf0df83028">framework::gui::DataPlot::White</a></div><div class="ttdef"><b>Definition:</b> DataPlot.h:47</div></div>
<div class="ttc" id="_send_data_8h_html"><div class="ttname"><a href="_send_data_8h.html">SendData.h</a></div><div class="ttdoc">Abstract class for sending datas to ground station. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_data_plot_html_ab8052b914d1b7330a7f0b12a7322bc1ca8fab133d2d6300bcc7aa43519ba80d31"><div class="ttname"><a href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1ca8fab133d2d6300bcc7aa43519ba80d31">framework::gui::DataPlot::Blue</a></div><div class="ttdef"><b>Definition:</b> DataPlot.h:43</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_data_plot_html_ab8052b914d1b7330a7f0b12a7322bc1c"><div class="ttname"><a href="classframework_1_1gui_1_1_data_plot.html#ab8052b914d1b7330a7f0b12a7322bc1c">framework::gui::DataPlot::Color_t</a></div><div class="ttdeci">Color_t</div><div class="ttdoc">Types of colors. </div><div class="ttdef"><b>Definition:</b> DataPlot.h:41</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_data_plot_html_a13333bf3cc8514fb1edc1991b6a8f923"><div class="ttname"><a href="classframework_1_1gui_1_1_data_plot.html#a13333bf3cc8514fb1edc1991b6a8f923">framework::gui::DataPlot::AddDataToSend</a></div><div class="ttdeci">void AddDataToSend(const core::IODataElement *element)</div><div class="ttdoc">Add an IODataElement to the plot. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_b562b7e28db909b473d6df8cfc340e1a.html">Framework</a></li><li class="navelem"><a class="el" href="dir_351818660e8c85d910ad9decfeb820b5.html">src</a></li><li class="navelem"><a class="el" href="_data_plot_8h.html">DataPlot.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
